SDL_GetNumLogicalCPUCores(3)

NAME
SDL_GetNumLogicalCPUCores - Get the number of logical CPU cores available.

SYNOPSIS
#include <SDL3/SDL_cpuinfo.h>

int SDL_GetNumLogicalCPUCores(void);

RETURN VALUE
Returns the total number of logical CPU cores. On CPUs that include technologies such as hyperthreading, the number of logical cores may be more than the number of physical cores.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.